Index: uspace/lib/drv/generic/remote_audio_pcm.c
===================================================================
--- uspace/lib/drv/generic/remote_audio_pcm.c	(revision 3be9d10120f7923a0b3d52282b8de0b670566c71)
+++ uspace/lib/drv/generic/remote_audio_pcm.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -632,10 +632,10 @@
 
 void remote_audio_pcm_get_info_str(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
 
 	if (!pcm_iface->get_info_str) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -643,5 +643,5 @@
 	const errno_t ret = pcm_iface->get_info_str(fun, &name);
 	const size_t name_size = name ? str_size(name) + 1 : 0;
-	async_answer_1(callid, ret, name_size);
+	async_answer_1(chandle, ret, name_size);
 	/* Send the string. */
 	if (ret == EOK && name_size > 0) {
@@ -660,5 +660,6 @@
 }
 
-void remote_audio_pcm_query_caps(ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+void remote_audio_pcm_query_caps(ddf_fun_t *fun, void *iface,
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
@@ -666,28 +667,29 @@
 	if (pcm_iface->query_cap) {
 		const unsigned value = pcm_iface->query_cap(fun, cap);
-		async_answer_1(callid, EOK, value);
+		async_answer_1(chandle, EOK, value);
 	} else {
-		async_answer_0(callid, ENOTSUP);
-	}
-}
-
-static void remote_audio_pcm_events_register(ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+		async_answer_0(chandle, ENOTSUP);
+	}
+}
+
+static void remote_audio_pcm_events_register(ddf_fun_t *fun, void *iface,
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
 	if (!pcm_iface->get_event_session ||
 	    !pcm_iface->set_event_session) {
-		async_answer_0(callid, ENOTSUP);
-		return;
-	}
-
-	async_answer_0(callid, EOK);
+		async_answer_0(chandle, ENOTSUP);
+		return;
+	}
+
+	async_answer_0(chandle, EOK);
 
 	ipc_call_t callback_call;
-	cap_call_handle_t callback_id = async_get_call(&callback_call);
+	cap_call_handle_t callback_handle = async_get_call(&callback_call);
 	async_sess_t *sess =
 	    async_callback_receive_start(EXCHANGE_ATOMIC, &callback_call);
 	if (sess == NULL) {
 		ddf_msg(LVL_DEBUG, "Failed to create event callback");
-		async_answer_0(callback_id, EAGAIN);
+		async_answer_0(callback_handle, EAGAIN);
 		return;
 	}
@@ -696,16 +698,17 @@
 		ddf_msg(LVL_DEBUG, "Failed to set event callback.");
 		async_hangup(sess);
-		async_answer_0(callback_id, ret);
-		return;
-	}
-	async_answer_0(callback_id, EOK);
-}
-
-static void remote_audio_pcm_events_unregister(ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+		async_answer_0(callback_handle, ret);
+		return;
+	}
+	async_answer_0(callback_handle, EOK);
+}
+
+static void remote_audio_pcm_events_unregister(ddf_fun_t *fun, void *iface,
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
 	if (!pcm_iface->get_event_session ||
 	    !pcm_iface->set_event_session) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -715,8 +718,9 @@
 		pcm_iface->set_event_session(fun, NULL);
 	}
-	async_answer_0(callid, EOK);
-}
-
-void remote_audio_pcm_get_buffer_pos(ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+	async_answer_0(chandle, EOK);
+}
+
+void remote_audio_pcm_get_buffer_pos(ddf_fun_t *fun, void *iface,
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
@@ -724,8 +728,9 @@
 	const errno_t ret = pcm_iface->get_buffer_pos ?
 	    pcm_iface->get_buffer_pos(fun, &pos) : ENOTSUP;
-	async_answer_1(callid, ret, pos);
-}
-
-void remote_audio_pcm_test_format(ddf_fun_t *fun, void *iface, cap_call_handle_t callid, ipc_call_t *call)
+	async_answer_1(chandle, ret, pos);
+}
+
+void remote_audio_pcm_test_format(ddf_fun_t *fun, void *iface,
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
@@ -735,9 +740,9 @@
 	const errno_t ret = pcm_iface->test_format ?
 	    pcm_iface->test_format(fun, &channels, &rate, &format) : ENOTSUP;
-	async_answer_3(callid, ret, channels, rate, format);
+	async_answer_3(chandle, ret, channels, rate, format);
 }
 
 void remote_audio_pcm_get_buffer(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
@@ -745,5 +750,5 @@
 	if (!pcm_iface->get_buffer ||
 	    !pcm_iface->release_buffer) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -751,5 +756,5 @@
 	size_t size = DEV_IPC_GET_ARG1(*call);
 	errno_t ret = pcm_iface->get_buffer(fun, &buffer, &size);
-	async_answer_1(callid, ret, size);
+	async_answer_1(chandle, ret, size);
 	if (ret != EOK || size == 0)
 		return;
@@ -788,5 +793,5 @@
 
 void remote_audio_pcm_release_buffer(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
@@ -794,9 +799,9 @@
 	const errno_t ret = pcm_iface->release_buffer ?
 	    pcm_iface->release_buffer(fun) : ENOTSUP;
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
 void remote_audio_pcm_start_playback(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
@@ -810,9 +815,9 @@
 	    ? pcm_iface->start_playback(fun, frames, channels, rate, format)
 	    : ENOTSUP;
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
 void remote_audio_pcm_stop_playback(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
@@ -821,9 +826,9 @@
 	const errno_t ret = pcm_iface->stop_playback ?
 	    pcm_iface->stop_playback(fun, immediate) : ENOTSUP;
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
 void remote_audio_pcm_start_capture(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
@@ -837,9 +842,9 @@
 	    ? pcm_iface->start_capture(fun, frames, channels, rate, format)
 	    : ENOTSUP;
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
 void remote_audio_pcm_stop_capture(ddf_fun_t *fun, void *iface,
-    cap_call_handle_t callid, ipc_call_t *call)
+    cap_call_handle_t chandle, ipc_call_t *call)
 {
 	const audio_pcm_iface_t *pcm_iface = iface;
@@ -848,5 +853,5 @@
 	const errno_t ret = pcm_iface->stop_capture ?
 	    pcm_iface->stop_capture(fun, immediate) : ENOTSUP;
-	async_answer_0(callid, ret);
+	async_answer_0(chandle, ret);
 }
 
